Built LMS Help Center
API Reference and PlaygroundCourses and CatalogCourses

DELETE Delete course

Delete a course (refused while it has enrollments that are not withdrawn, unless force is true)

DELETE
/courses/{id}

Delete a course (refused while it has enrollments that are not withdrawn, unless force is true)

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Path Parameters

id*string

Course UUID

Formatuuid

Query Parameters

force?boolean

Delete even when the course has enrollments that are not withdrawn (requires courses:manage permission)

Defaultfalse

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/courses/{id}"
{  "data": {    "id": "string",    "status": "string",    "success": true,    "published": true,    "cancelled": true,    "deleted": true,    "course_id": "{course_id}"  },  "meta": {    "organization_id": "{organization_id}",    "total": 0,    "total_count": 0,    "limit": 0,    "offset": 0,    "has_more": true,    "requested_at": "2019-08-24T14:15:22Z"  }}